This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1469584 - [Docs][RFE][Director] Batch size configuration for node deployments
[Docs][RFE][Director] Batch size configuration for node deployments
Status: VERIFIED
Product: Red Hat OpenStack
Classification: Red Hat
Component: documentation (Show other bugs)
12.0 (Pike)
Unspecified Unspecified
medium Severity unspecified
: ga
: 12.0 (Pike)
Assigned To: Dan Macpherson
Martin Lopes
docs-accepted
: Documentation, FutureFeature, Triaged
Depends On: 1427326
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-11 10:08 EDT by Dan Macpherson
Modified: 2017-10-17 13:01 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dan Macpherson 2017-07-11 10:08:38 EDT
== DECRIPTION ==
Deploying an overcloud with a large number nodes at once can result in a failed deployment (similar to the symptoms described in BZ 1410977 on OSP10). Rules of thumb have evolved to workaround this consisting of: 

1. Using scheduler hints to pin node placement instead of just letting tripleo's nova scheduler schedule the ironic nodes
2. Ensuring the undercloud.conf IP ranges are not too small
3. Deploying in batches 

== DOCS IMPACT ==
Requires some minor documentation on changing the Batch Size and note not to exceed 30.
Comment 1 Lucy Bopf 2017-08-07 22:36:25 EDT
Assigning to Dan for review.

Note You need to log in before you can comment on or make changes to this bug.